qr

CVTz50 apk

CVTz50 is a Auto & Vehicles App can be downloaded and installed on android devices.

You are about to download the CVTz50 1.52 apk Android file for free. Approximately 50,000+ users downloaded the app CVTz50 from google play store. The app is developed by cvtz50.info. You can run this app by android device or run it using android emulators such as big nox app player, bluestacks and koplayer. You could also download apk of CVTz50 and run it on android emulators like bluestacks or koplayer. Most of the best apps on google play store have a rating of 8 out of 10. CVTz50 has a rating of 4.4 out of 5. The is the best android Auto & Vehicles App.

Please note that APKRoyal only share the original and free apk version for CVTz50 1.52 without any modifications.

All the apps & games here are downloaded directly from play store and for home or personal use only. If CVTz50 download infringes your copyright, please contact us, We'll delete it in a short time.

Version1.52
UpdatedMay 03, 2020
Developer
CategoryApp, Auto & Vehicles
IDcom.cvtz50.cvtz50
Installs50,000+


To verify CVTz50 compatibility with your ELM327 adapter and vehicle, please use CVTz50 DEMO: https://play.google.com/store/apps/details?id=com.cvtz50.cvtz50demo

Main features
- Read and clear CVT diagnostic trouble codes
- Read and clear engine diagnostic trouble codes
- Read and clear CVT fluid deterioration
- Adjust engine braking level
- Adjust Idle RPM and Ignition timing; Idle air volume learning (only for Murano Z50 and related vehicles produced before 2010)
- CVT Data Monitor: real-time monitoring of CVT parameters: temperature, pressures, trouble codes, gear ratios, step motor position, torque converter lockup
- Collecting and displaying monthly statistics on temperature conditions, pressures, milage, fluid deterioration
- Supports Nissan Murano Z50/Z51, partial support of other vehicles equipped with Jatco CVT – Nissan Teana, X-Trail, Qashqai, Juke, Note, Tiida, Sentra, Wingroad; Mitsubishi Outlander, Lancer; Renault Koleos and others

Hardware requirements:
- Phone or tablet running Android 4.2+
- Bluetooth or WiFi adapter ELM327 revision 1.5 or lower (functionality might be significantly limited if used with not genuine adapters of revision 2.0+)

What's New

Improved compatibility and stability

See more
Related App